T = [xcom(2);xcon(1:5);xvap(1)];
fc = xcon(22);
Ph = xcon(end);
Pl = xvap(end);
h = [d.Cpg*(T(1:2)-d.Tref)+d.hvap;
     fc*d.Cpl*(T(3:6)-d.Tref)+(1-fc)*(d.Cpg*(T(3:6)-d.Tref)+d.hvap);
     xval(end);
     d.Cpg*(T(end)-d.Tref)+d.hvap];
Qvap = xvap(3);
Ws = xcom(1);
Qcon = sum(xcon(11:15));
hold on
semilogy([h;h(1)], [Ph*ones(6,1);Pl*ones(2,1);Ph])
hold off

T=T-Tk;
Ths = Ths-Tk;
Tcs = Tcs-Tk;
disp('---------------Temperatures----------')
disp(sprintf('T1                [C]     %0.2f', T(1)))
disp(sprintf('T2                [C]     %0.2f', T(2)))
disp(sprintf('T3                [C]     %0.2f', T(3)))
disp(sprintf('T4                [C]     %0.2f', T(4)))
disp(sprintf('T5                [C]     %0.2f', T(5)))
disp(sprintf('T6                [C]     %0.2f', T(6)))
disp(sprintf('T7                [C]     %0.2f', T(7)))

disp('-------------Holdups-----------')
disp('Condenser')
disp(sprintf('Nliquid2          [mol]   %0.0f', xcon(16)))
disp(sprintf('Nliquid3          [mol]   %0.0f', xcon(17)))
disp(sprintf('Nliquid4          [mol]   %0.0f', xcon(18)))
disp(sprintf('Nliquid5          [mol]   %0.0f', xcon(19)))
disp(sprintf('Nvapor1           [mol]   %0.0f', xcon(20)))
disp(sprintf('Nvapor2           [mol]   %0.0f', xcon(21)))

disp('Evaporator')
disp(sprintf('Nliquid          [mol]   %0.0f', xvap(4)))
disp(sprintf('Nvapor2           [mol]   %0.0f', xvap(5)))
disp('Total')
disp(sprintf('Ntotal            [mol]   %0.0f', sum(xcon(16:21))+sum(xvap(4:5))))
disp('----------Heat transfers------------')
disp('Condenser')
disp(sprintf('Q1                [W]     %0.0f', xcon(11)))
disp(sprintf('Q2                [W]     %0.0f', xcon(12)))
disp(sprintf('Q3                [W]     %0.0f', xcon(13)))
disp(sprintf('Q4                [W]     %0.0f', xcon(14)))
disp(sprintf('Q5                [W]     %0.0f', xcon(15)))
disp(sprintf('Qtot              [W]     %0.0f', sum(xcon(11:15))))
disp('Evaporator')
disp(sprintf('Q                 [W]     %0.0f', xvap(3)))
disp('---------Heat transfer areas------------')
disp('Condenser')
disp(sprintf('A1                [m^2]   %0.2f', xcon(6)))
disp(sprintf('A2                [m^2]   %0.2f', xcon(7)))
disp(sprintf('A3                [m^2]   %0.2f', xcon(8)))
disp(sprintf('A4                [m^2]   %0.2f', xcon(9)))
disp(sprintf('A5                [m^2]   %0.2f', xcon(10)))
disp(sprintf('Atot              [m^2]   %0.2f', sum(xcon(6:10))))
disp('Evaporator')
disp(sprintf('A                 [m^2]   %0.2f', xvap(2)))
disp('Misc')
disp(sprintf('Flow              [mol/s] %0.4f', xval(2)))
disp(sprintf('z                 [-]     %0.4f', xval(1)))
disp(sprintf('ftovalve          [-]     %0.4f', fc))
disp(sprintf('Ws                [W]     %0.0f', xcom(1)))
disp(sprintf('Ph                [bar]   %0.2f', xcon(23)/1e5))
disp(sprintf('Pl                [bar]   %0.2f', xvap(end)/1e5))
disp(sprintf('DTsub             [C]     %0.2f', T(3)-T(6)))
disp(sprintf('DTmincon          [C]     %0.2f', min(T(1:6)-Ths)))
disp(sprintf('DTminvap          [C]     %0.2f', min(Tcs-T(7:end))))
disp(sprintf('COP_C             [-]     %0.2f', Qvap/Ws))
disp(sprintf('Vl_vap          [m^3]     %0.2f', xvap(6)))

disp(sprintf('ResEn.bal.       1e-6[W] %0.0f', (Qvap+Ws+Qcon)*1e6))
